Package javax.portlet

## Interface ActionRequest

All Superinterfaces:
  `ClientDataRequest`, `PortletRequest`

All Known Implementing Classes:
  `ActionRequestWrapper`

    public interface ActionRequest
    extends ClientDataRequest

The `ActionRequest` represents the request sent to the portlet to handle an action.
It extends the ClientDataRequest interface and provides action request information to portlets.

The portlet container creates an `ActionRequest` object and passes it as argument to the portlet's `processAction` method.

See Also:
  `ClientDataRequest`

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

`PortletRequest.P3PUserInfos`

### Field Summary

Fields
`static java.lang.String` `ACTION_NAME` Predefined action name for usage with the `@ProcessAction` annotation.

### Fields inherited from interface javax.portlet.PortletRequest

`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

### Method Summary

### Methods inherited from interface javax.portlet.ClientDataRequest

`getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding`

### Methods inherited from interface javax.portlet.PortletRequest

`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

### Field Detail

#### ACTION_NAME

    static final java.lang.String ACTION_NAME

Predefined action name for usage with the `@ProcessAction` annotation.

Since:
  2.0
See Also:
  Constant Field Values